Welcome to mirror list, hosted at ThFree Co, Russian Federation.

cygwin.com/git/newlib-cygwin.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeff Johnston <jjohnstn@redhat.com>2008-11-20 23:20:51 +0300
committerJeff Johnston <jjohnstn@redhat.com>2008-11-20 23:20:51 +0300
commit75cc619bb3dc7929b23fa561abe1202711befb30 (patch)
tree9492bde08d48ba42b8b1393aa20cb0c323e07767 /newlib/libc/machine/spu/configure
parent01eb6cd6d94249e6571aa741b8bfc195ef69f306 (diff)
2008-11-20 Ken Werner <ken.werner@de.ibm.com>
Patrick Mansfield <patmans@us.ibm.com> Joel Schopp <jschopp@austin.ibm.com> * libc/machine/spu/configure.in: Add __ea detection. * libc/machine/spu/Makefile.am: Add new files. * libc/machine/spu/include/ea.h: New file. * libc/machine/spu/ea_internal.h: Likewise. * libc/machine/spu/sys/mman.h: Likewise. * libc/machine/spu/mmap_ea.c: Likewise. * libc/machine/spu/munmap_ea.c: Likewise. * libc/machine/spu/mremap_ea.c: Likewise. * libc/machine/spu/msync_ea.c: Likewise. * libc/machine/spu/memchr_ea.c: Likewise. * libc/machine/spu/memcmp_ea.c: Likewise. * libc/machine/spu/memcpy_ea.c: Likewise. * libc/machine/spu/memmove_ea.c: Likewise. * libc/machine/spu/memset_ea.c: Likewise. * libc/machine/spu/malloc_ea.c: Likewise. * libc/machine/spu/realloc_ea.c: Likewise. * libc/machine/spu/calloc_ea.c: Likewise. * libc/machine/spu/free_ea.c: Likewise. * libc/machine/spu/posix_memalign_ea.c: Likewise. * libc/machine/spu/strcat_ea.c: Likewise. * libc/machine/spu/strchr_ea.c: Likewise. * libc/machine/spu/strcmp_ea.c: Likewise. * libc/machine/spu/strcpy_ea.c: Likewise. * libc/machine/spu/strcspn_ea.c: Likewise. * libc/machine/spu/strlen_ea.c: Likewise. * libc/machine/spu/strncat_ea.c: Likewise. * libc/machine/spu/strncmp_ea.c: Likewise. * libc/machine/spu/strncpy_ea.c: Likewise. * libc/machine/spu/strpbrk_ea.c: Likewise. * libc/machine/spu/strrchr_ea.c: Likewise. * libc/machine/spu/strspn_ea.c: Likewise. * libc/machine/spu/strstr_ea.c: Likewise. * libc/machine/spu/read_ea.c: Likewise. * libc/machine/spu/pread_ea.c: Likewise. * libc/machine/spu/readv_ea.c: Likewise. * libc/machine/spu/write_ea.c: Likewise. * libc/machine/spu/pwrite_ea.c: Likewise. * libc/machine/spu/writev_ea.c: Likewise.
Diffstat (limited to 'newlib/libc/machine/spu/configure')
-rw-r--r--newlib/libc/machine/spu/configure41
1 files changed, 40 insertions, 1 deletions
diff --git a/newlib/libc/machine/spu/configure b/newlib/libc/machine/spu/configure
index f111ce34c..c47f7b1cb 100644
--- a/newlib/libc/machine/spu/configure
+++ b/newlib/libc/machine/spu/configure
@@ -272,7 +272,7 @@ PACKAGE_STRING='newlib 1.16.0'
PACKAGE_BUGREPORT=''
ac_unique_file="Makefile.am"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAY_SUPPLY_SYSCALLS_TRUE MAY_SUPPLY_SYSCALLS_FALSE newlib_basedir build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE AS ac_ct_AS AR ac_ct_AR RANLIB ac_ct_RANLIB READELF ac_ct_READELF MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CCAS CCASFLAGS NEWLIB_CFLAGS LDFLAGS ELIX_LEVEL_0_TRUE ELIX_LEVEL_0_FALSE ELIX_LEVEL_1_TRUE ELIX_LEVEL_1_FALSE ELIX_LEVEL_2_TRUE ELIX_LEVEL_2_FALSE ELIX_LEVEL_3_TRUE ELIX_LEVEL_3_FALSE ELIX_LEVEL_4_TRUE ELIX_LEVEL_4_FALSE USE_LIBTOOL_TRUE USE_LIBTOOL_FALSE OBJEXT oext aext lpfx libm_machine_dir machine_dir sys_dir LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAY_SUPPLY_SYSCALLS_TRUE MAY_SUPPLY_SYSCALLS_FALSE newlib_basedir build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE AS ac_ct_AS AR ac_ct_AR RANLIB ac_ct_RANLIB READELF ac_ct_READELF MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CCAS CCASFLAGS NEWLIB_CFLAGS LDFLAGS ELIX_LEVEL_0_TRUE ELIX_LEVEL_0_FALSE ELIX_LEVEL_1_TRUE ELIX_LEVEL_1_FALSE ELIX_LEVEL_2_TRUE ELIX_LEVEL_2_FALSE ELIX_LEVEL_3_TRUE ELIX_LEVEL_3_FALSE ELIX_LEVEL_4_TRUE ELIX_LEVEL_4_FALSE USE_LIBTOOL_TRUE USE_LIBTOOL_FALSE OBJEXT oext aext lpfx libm_machine_dir machine_dir sys_dir HAVE_SPU_EA_TRUE HAVE_SPU_EA_FALSE LIBOBJS LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
@@ -2815,6 +2815,36 @@ OBJEXT=${oext}
+echo "$as_me:$LINENO: checking whether the compiler supports __ea" >&5
+echo $ECHO_N "checking whether the compiler supports __ea... $ECHO_C" >&6
+cat > conftest.c <<EOF
+#if defined (__EA32__) || defined (__EA64__)
+ yes;
+#endif
+EOF
+if { ac_try='${CC-cc} -E conftest.c'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
+ spu_compiler_has_ea=yes
+else
+ spu_compiler_has_ea=no
+fi
+
+
+if test x${spu_compiler_has_ea} != xno; then
+ HAVE_SPU_EA_TRUE=
+ HAVE_SPU_EA_FALSE='#'
+else
+ HAVE_SPU_EA_TRUE='#'
+ HAVE_SPU_EA_FALSE=
+fi
+
+echo "$as_me:$LINENO: result: $spu_compiler_has_ea" >&5
+echo "${ECHO_T}$spu_compiler_has_ea" >&6
+
ac_config_files="$ac_config_files Makefile"
cat >confcache <<\_ACEOF
@@ -3009,6 +3039,13 @@ echo "$as_me: error: conditional \"USE_LIBTOOL\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
+if test -z "${HAVE_SPU_EA_TRUE}" && test -z "${HAVE_SPU_EA_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"HAVE_SPU_EA\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"HAVE_SPU_EA\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+fi
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
@@ -3611,6 +3648,8 @@ s,@lpfx@,$lpfx,;t t
s,@libm_machine_dir@,$libm_machine_dir,;t t
s,@machine_dir@,$machine_dir,;t t
s,@sys_dir@,$sys_dir,;t t
+s,@HAVE_SPU_EA_TRUE@,$HAVE_SPU_EA_TRUE,;t t
+s,@HAVE_SPU_EA_FALSE@,$HAVE_SPU_EA_FALSE,;t t
s,@LIBOBJS@,$LIBOBJS,;t t
s,@LTLIBOBJS@,$LTLIBOBJS,;t t
CEOF